Bug 1350291 - [abrt] ibus: bus_dbus_impl_dispatch_message_by_rule(): ibus-daemon killed by SIGABRT [NEEDINFO]
Summary: [abrt] ibus: bus_dbus_impl_dispatch_message_by_rule(): ibus-daemon killed by ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:75db545dfce1b8ef1c186df1d5b...
: 1441863 1473963 1475710 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-27 01:20 UTC by Wallace Hermano
Modified: 2017-08-01 21:55 UTC (History)
10 users (show)

Fixed In Version: ibus-1.5.16-6.fc26 ibus-1.5.14-6.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-31 06:25:08 UTC
Type: ---
tfujiwar: needinfo? (wallacehermano)


Attachments (Terms of Use)
File: backtrace (22.81 KB, text/plain)
2016-06-27 01:20 UTC, Wallace Hermano
no flags Details
File: cgroup (148 bytes, text/plain)
2016-06-27 01:20 UTC, Wallace Hermano
no flags Details
File: core_backtrace (5.64 KB, text/plain)
2016-06-27 01:20 UTC, Wallace Hermano
no flags Details
File: dso_list (1.77 KB, text/plain)
2016-06-27 01:20 UTC, Wallace Hermano
no flags Details
File: environ (1.60 KB, text/plain)
2016-06-27 01:20 UTC, Wallace Hermano
no flags Details
File: limits (1.29 KB, text/plain)
2016-06-27 01:20 UTC, Wallace Hermano
no flags Details
File: maps (9.46 KB, text/plain)
2016-06-27 01:20 UTC, Wallace Hermano
no flags Details
File: mountinfo (3.81 KB, text/plain)
2016-06-27 01:20 UTC, Wallace Hermano
no flags Details
File: namespaces (102 bytes, text/plain)
2016-06-27 01:20 UTC, Wallace Hermano
no flags Details
File: open_fds (1.50 KB, text/plain)
2016-06-27 01:20 UTC, Wallace Hermano
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-06-27 01:20 UTC, Wallace Hermano
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-06-27 01:20 UTC, Wallace Hermano
no flags Details

Description Wallace Hermano 2016-06-27 01:20:17 UTC
Version-Release number of selected component:
ibus-1.5.13-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        ibus-daemon --xim --panel disable
crash_function: bus_dbus_impl_dispatch_message_by_rule
executable:     /usr/bin/ibus-daemon
global_pid:     2101
kernel:         4.5.7-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 bus_dbus_impl_dispatch_message_by_rule at dbusimpl.c:1901
 #5 bus_dbus_impl_connection_filter_cb at dbusimpl.c:1578
 #6 on_worker_message_about_to_be_sent at gdbusconnection.c:2343
 #7 _g_dbus_worker_emit_message_about_to_be_sent at gdbusprivate.c:465
 #8 continue_writing at gdbusprivate.c:1455
 #9 write_message_cb at gdbusprivate.c:1313
 #10 g_task_return_now at gtask.c:1107
 #11 complete_in_idle_cb at gtask.c:1121
 #16 gdbus_shared_thread_func at gdbusprivate.c:246
 #17 g_thread_proxy at gthread.c:780

Potential duplicate: bug 905044

Comment 1 Wallace Hermano 2016-06-27 01:20:23 UTC
Created attachment 1172724 [details]
File: backtrace

Comment 2 Wallace Hermano 2016-06-27 01:20:24 UTC
Created attachment 1172725 [details]
File: cgroup

Comment 3 Wallace Hermano 2016-06-27 01:20:26 UTC
Created attachment 1172726 [details]
File: core_backtrace

Comment 4 Wallace Hermano 2016-06-27 01:20:27 UTC
Created attachment 1172727 [details]
File: dso_list

Comment 5 Wallace Hermano 2016-06-27 01:20:29 UTC
Created attachment 1172728 [details]
File: environ

Comment 6 Wallace Hermano 2016-06-27 01:20:30 UTC
Created attachment 1172729 [details]
File: limits

Comment 7 Wallace Hermano 2016-06-27 01:20:32 UTC
Created attachment 1172730 [details]
File: maps

Comment 8 Wallace Hermano 2016-06-27 01:20:33 UTC
Created attachment 1172731 [details]
File: mountinfo

Comment 9 Wallace Hermano 2016-06-27 01:20:35 UTC
Created attachment 1172732 [details]
File: namespaces

Comment 10 Wallace Hermano 2016-06-27 01:20:36 UTC
Created attachment 1172733 [details]
File: open_fds

Comment 11 Wallace Hermano 2016-06-27 01:20:38 UTC
Created attachment 1172734 [details]
File: proc_pid_status

Comment 12 Wallace Hermano 2016-06-27 01:20:39 UTC
Created attachment 1172735 [details]
File: var_log_messages

Comment 13 fujiwara 2016-06-28 04:04:20 UTC
I cannot reproduce your backtrace.
Are you still able to reproduce your backtrace?


(In reply to Wallace Hermano from comment #1)
> Created attachment 1172724 [details]
> File: backtrace

#0  0x00007f8ab3a466f5 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:54
#1  0x00007f8ab3a482fa in __GI_abort () at abort.c:89
#2  0x00007f8ab405ef05 in g_assertion_message (domain=domain@entry=0x565529e8957a "IBUS", file=file@entry=0x565529e899e4 "dbusimpl.c", line=line@entry=1901, func=func@entry=0x565529e89f80 <__func__.26539> "bus_dbus_impl_dispatch_message_by_rule", message=message@entry=0x7f8a9c03ed00 "assertion failed: (skip_connection == NULL || BUS_IS_CONNECTION (skip_connection))") at gtestutils.c:2429
#3  0x00007f8ab405ef9a in g_assertion_message_expr (domain=domain@entry=0x565529e8957a "IBUS", file=file@entry=0x565529e899e4 "dbusimpl.c", line=line@entry=1901, func=func@entry=0x565529e89f80 <__func__.26539> "bus_dbus_impl_dispatch_message_by_rule", expr=expr@entry=0x565529e89e00 "skip_connection == NULL || BUS_IS_CONNECTION (skip_connection)") at gtestutils.c:2452
#4  0x0000565529e78dee in bus_dbus_impl_dispatch_message_by_rule (dbus=dbus@entry=0x56552b002040, message=message@entry=0x56552b0cd540, skip_connection=skip_connection@entry=0x7f8a9c0108d0) at dbusimpl.c:1901
#5  0x0000565529e79208 in bus_dbus_impl_connection_filter_cb (dbus_connection=<optimized out>, message=0x56552b0cd540, incoming=<optimized out>, user_data=0x56552b002040) at dbusimpl.c:1578
#6  0x00007f8ab461f10e in on_worker_message_about_to_be_sent (worker=<optimized out>, message=0x56552b0cd850, user_data=0x56552afe5b50) at gdbusconnection.c:2343
#7  0x00007f8ab46346b8 in _g_dbus_worker_emit_message_about_to_be_sent (message=0x56552b0cd850, worker=0x7f8aa0002a40) at gdbusprivate.c:465
#8  continue_writing (worker=0x7f8aa0002a40) at gdbusprivate.c:1455
#10 0x00007f8ab45d6343 in g_task_return_now (task=0x56552aff25d0) at gtask.c:1107
#11 0x00007f8ab45d6379 in complete_in_idle_cb (task=0x56552aff25d0) at gtask.c:1121
#12 0x00007f8ab4039703 in g_main_dispatch (context=0x56552afee600) at gmain.c:3154
#13 g_main_context_dispatch (context=context@entry=0x56552afee600) at gmain.c:3769
#14 0x00007f8ab4039ab0 in g_main_context_iterate (context=0x56552afee600, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3840
#15 0x00007f8ab4039dd2 in g_main_loop_run (loop=0x56552afee590) at gmain.c:4034

Comment 14 Peter Bergeron 2016-07-24 06:28:53 UTC
Similar problem has been detected:

No idea what caused this, but it happened within 5 minutes of boot up / auto login.

Only applications used before the error were Nautilus (Files) and MKVToolNix GUI.

reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        ibus-daemon --xim --panel disable
crash_function: bus_dbus_impl_dispatch_message_by_rule
executable:     /usr/bin/ibus-daemon
global_pid:     1784
kernel:         4.6.4-301.fc24.x86_64
package:        ibus-1.5.13-3.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         ibus-daemon killed by SIGABRT
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Fedora End Of Life 2017-07-25 21:20:42 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 fujiwara 2017-07-27 03:59:42 UTC
*** Bug 1473963 has been marked as a duplicate of this bug. ***

Comment 17 fujiwara 2017-07-27 06:56:00 UTC
I added an enhancement for this bug.
Let's see if this bug is fixed in f25 or later.

Comment 18 Fedora Update System 2017-07-27 07:52:55 UTC
ibus-1.5.14-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c75f9d414a

Comment 19 Fedora Update System 2017-07-27 07:53:20 UTC
ibus-1.5.16-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e743d58478

Comment 20 fujiwara 2017-07-27 09:05:07 UTC
*** Bug 1475710 has been marked as a duplicate of this bug. ***

Comment 21 fujiwara 2017-07-27 09:27:08 UTC
*** Bug 1441863 has been marked as a duplicate of this bug. ***

Comment 22 Fedora Update System 2017-07-27 23:23:45 UTC
ibus-1.5.14-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c75f9d414a

Comment 23 Fedora Update System 2017-07-28 01:53:02 UTC
ibus-1.5.16-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e743d58478

Comment 24 Fedora Update System 2017-07-31 06:25:08 UTC
ibus-1.5.16-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2017-08-01 21:55:43 UTC
ibus-1.5.14-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.